<?xml version="1.0" encoding="utf-8"?><!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->
<com.google.android.material.card.MaterialCardView xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tools="http://schemas.android.com/tools"
	android:id="@+id/journey"
	android:layout_margin="8dp"
	android:layout_width="match_parent"
	android:layout_height="wrap_content">

	<androidx.constraintlayout.widget.ConstraintLayout
		android:layout_width="match_parent"
		android:layout_height="match_parent"
		android:padding="16dp">

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/start_time"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			tools:text="11:25" />

		<!-- TODO line height multiplier -->
		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/lines"
			android:layout_width="0dp"
			android:layout_height="wrap_content"
			android:layout_marginStart="8dp"
			android:layout_marginTop="4dp"
			android:layout_marginEnd="8dp"
			android:lineSpacingExtra="18sp"
			android:padding="4dp"
			android:textAlignment="center"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/start_time"
			tools:text="Metropolitan, Circle, Hammersmith&amp;City" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/end_time"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintTop_toTopOf="@+id/start_time"
			tools:text="12:30" />

		<LinearLayout
			android:id="@+id/legs"
			android:visibility="gone"
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:layout_margin="8dp"
			android:orientation="vertical"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/lines" />


	</androidx.constraintlayout.widget.ConstraintLayout>

</com.google.android.material.card.MaterialCardView>